--
-- Definition for view RDX_V_ALBARANES : 
--

CREATE VIEW RDX_V_ALBARANES AS
SELECT
      FATURAMENTO.NF_SAIDA AS ALBARAN,
      FATURAMENTO.EMISSAO AS FECHA,
      RDX_FILIALES.CODBARRA AS CENTRO,
      FATURAMENTO.NOME_CLIFOR AS FILIAL,
      PRODUTOS_BARRA.CODIGO_BARRA,
      FATURAMENTO_PROD.PRODUTO AS CODIGO,
      PRODUCTO = PRODUTOS.DESC_PRODUTO,
      PRODUTOS_BARRA.COR_PRODUTO AS COLOR,
      PRODUTOS_BARRA.GRADE AS TALLA,
      CANTIDAD = CASE PRODUTOS_BARRA.GRADE
                      WHEN '38' THEN F1
                      WHEN '40' THEN F2
                      WHEN '42' THEN F3
                      WHEN '44' THEN F4
                      WHEN '46' THEN F5
                      WHEN '48' THEN F6
                 END,
      RDX_AJUSTES_ALBARAN.ESTADO,
      RDX_AJUSTES_ALBARAN.OBSERVACIONES,
      CONTABILIZAR = ISNULL(RDX_AJUSTES_ALBARAN.CONTABILIZAR, 'S')
FROM FATURAMENTO_PROD
INNER JOIN FATURAMENTO ON
      (FATURAMENTO.NF_SAIDA = FATURAMENTO_PROD.NF_SAIDA)
INNER JOIN FATURAMENTO_TIPO ON
      (LTRIM(RTRIM(FATURAMENTO.TIPO_FATURAMENTO)) = FATURAMENTO_TIPO.TIPO_FATURAMENTO)
LEFT OUTER JOIN FILIAIS ON
     (FILIAIS.FILIAL = FATURAMENTO.NOME_CLIFOR)
LEFT OUTER JOIN RDX_FILIALES ON
     (RDX_FILIALES.CODFILIAL = FILIAIS.COD_FILIAL)
LEFT OUTER JOIN PRODUTOS_BARRA ON
     (((PRODUTOS_BARRA.PRODUTO = FATURAMENTO_PROD.PRODUTO) AND
       (PRODUTOS_BARRA.COR_PRODUTO = FATURAMENTO_PROD.COR_PRODUTO)) AND
      ((PRODUTOS_BARRA.GRADE = CASE WHEN (FATURAMENTO_PROD.F1 <> 0) THEN '38' END) OR
       (PRODUTOS_BARRA.GRADE = CASE WHEN (FATURAMENTO_PROD.F2 <> 0) THEN '40' END) OR
       (PRODUTOS_BARRA.GRADE = CASE WHEN (FATURAMENTO_PROD.F3 <> 0) THEN '42' END) OR
       (PRODUTOS_BARRA.GRADE = CASE WHEN (FATURAMENTO_PROD.F4 <> 0) THEN '44' END) OR
       (PRODUTOS_BARRA.GRADE = CASE WHEN (FATURAMENTO_PROD.F5 <> 0) THEN '46' END) OR
       (PRODUTOS_BARRA.GRADE = CASE WHEN (FATURAMENTO_PROD.F6 <> 0) THEN '48' END)))
LEFT OUTER JOIN PRODUTOS ON
     (PRODUTOS.PRODUTO = PRODUTOS_BARRA.PRODUTO)
LEFT OUTER JOIN RDX_AJUSTES_ALBARAN ON
     (RDX_AJUSTES_ALBARAN.ALBARAN = FATURAMENTO.NF_SAIDA)
WHERE FATURAMENTO_TIPO.INDICADOR_TIPO = 'VTPT'   /* ALBARANES DE PRODUCTOS TERMINADOS */
AND FATURAMENTO.NOME_CLIFOR LIKE '%INGLES%'  /* ALBARANES PARA CENTROS DEL CORTE INGLES */
AND FATURAMENTO.EMISSAO >= convert(datetime, '20060601', 112)  /* PARA NO COGER AŅOS ANTERIORES */
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_ALBARANES]
TO [public]
GO

--
-- Definition for view RDX_V_HOJAS_DEVOLUCIONES : 
--

CREATE VIEW RDX_V_HOJAS_DEVOLUCIONES AS
SELECT
      LOJA_SAIDAS.ROMANEIO_PRODUTO AS NUMHOJA,
      LOJA_SAIDAS.EMISSAO AS FECHA,
      RDX_FILIALES_ORI.CODBARRA AS CENTRO_ORIGEN,
      LOJA_SAIDAS.FILIAL AS FILIAL_ORIGEN,
      RDX_FILIALES_DES.CODBARRA AS CENTRO_DESTINO,
      LOJA_SAIDAS.FILIAL_DESTINO AS FILIAL_DESTINO,
      PRODUTOS_BARRA.CODIGO_BARRA,
      LOJA_SAIDAS_PRODUTO.PRODUTO AS CODIGO,
      PRODUCTO = ISNULL(PRODUTOS.DESC_PRODUTO, '*** ERROR REFERENCIA  ****'),
      PRODUTOS_BARRA.COR_PRODUTO AS COLOR,
      PRODUTOS_BARRA.GRADE AS TALLA,
      CANTIDAD = CASE PRODUTOS_BARRA.GRADE
                      WHEN '38' THEN EN1
                      WHEN '40' THEN EN2
                      WHEN '42' THEN EN3
                      WHEN '44' THEN EN4
                      WHEN '46' THEN EN5
                      WHEN '48' THEN EN6
                 END,
      RDX_AJUSTES_HOJA_DEVOLUCIONES.ESTADO,
      RDX_AJUSTES_HOJA_DEVOLUCIONES.OBSERVACIONES,
      CONTABILIZAR = ISNULL(RDX_AJUSTES_HOJA_DEVOLUCIONES.CONTABILIZAR, 'S')
FROM LOJA_SAIDAS_PRODUTO
INNER JOIN LOJA_SAIDAS ON (LOJA_SAIDAS.ROMANEIO_PRODUTO = LOJA_SAIDAS_PRODUTO.ROMANEIO_PRODUTO)
INNER JOIN PRODUTOS_BARRA on
     (((PRODUTOS_BARRA.PRODUTO = LOJA_SAIDAS_PRODUTO.PRODUTO) AND
       (PRODUTOS_BARRA.COR_PRODUTO = LOJA_SAIDAS_PRODUTO.COR_PRODUTO)) AND
      ((PRODUTOS_BARRA.GRADE = CASE WHEN (LOJA_SAIDAS_PRODUTO.EN1 <> 0) THEN '38' END) OR
       (PRODUTOS_BARRA.GRADE = CASE WHEN (LOJA_SAIDAS_PRODUTO.EN2 <> 0) THEN '40' END) OR
       (PRODUTOS_BARRA.GRADE = CASE WHEN (LOJA_SAIDAS_PRODUTO.EN3 <> 0) THEN '42' END) OR
       (PRODUTOS_BARRA.GRADE = CASE WHEN (LOJA_SAIDAS_PRODUTO.EN4 <> 0) THEN '44' END) OR
       (PRODUTOS_BARRA.GRADE = CASE WHEN (LOJA_SAIDAS_PRODUTO.EN5 <> 0) THEN '46' END) OR
       (PRODUTOS_BARRA.GRADE = CASE WHEN (LOJA_SAIDAS_PRODUTO.EN6 <> 0) THEN '48' END)))
INNER JOIN PRODUTOS on (PRODUTOS.PRODUTO = PRODUTOS_BARRA.PRODUTO)
INNER JOIN FILIAIS AS FILIAIS_ORI ON (FILIAIS_ORI.FILIAL = LOJA_SAIDAS.FILIAL)
INNER JOIN RDX_FILIALES AS RDX_FILIALES_ORI ON (RDX_FILIALES_ORI.CODFILIAL = FILIAIS_ORI.COD_FILIAL)
INNER JOIN FILIAIS AS FILIAIS_DES ON (FILIAIS_DES.FILIAL = LOJA_SAIDAS.FILIAL_DESTINO)
INNER JOIN RDX_FILIALES AS RDX_FILIALES_DES ON (RDX_FILIALES_DES.CODFILIAL = FILIAIS_DES.COD_FILIAL)
LEFT OUTER JOIN RDX_AJUSTES_HOJA_DEVOLUCIONES ON
     (RDX_AJUSTES_HOJA_DEVOLUCIONES.NUMHOJA = LOJA_SAIDAS.ROMANEIO_PRODUTO)
WHERE
     LOJA_SAIDAS.TIPO_ENTRADA_SAIDA = 2 /* DEVOLUCION DE PRENDAS A VARELA */
AND LOJA_SAIDAS.EMISSAO >= '2006.07.01' /* PARA NO COGER AŅOS ANTERIORES */
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_HOJAS_DEVOLUCIONES]
TO [public]
GO

--
-- Definition for view RDX_V_HOJAS_TRASPASOS : 
--

CREATE VIEW RDX_V_HOJAS_TRASPASOS AS
SELECT
      LOJA_SAIDAS.ROMANEIO_PRODUTO AS NUMHOJA,
      LOJA_SAIDAS.EMISSAO AS FECHA,
      RDX_FILIALES_ORI.CODBARRA AS CENTRO_ORIGEN,
      LOJA_SAIDAS.FILIAL AS FILIAL_ORIGEN,
      RDX_FILIALES_DES.CODBARRA AS CENTRO_DESTINO,
      LOJA_SAIDAS.FILIAL_DESTINO AS FILIAL_DESTINO,
      PRODUTOS_BARRA.CODIGO_BARRA,
      LOJA_SAIDAS_PRODUTO.PRODUTO AS CODIGO,
      PRODUCTO = ISNULL(PRODUTOS.DESC_PRODUTO, '*** ERROR REFERENCIA  ****'),
      PRODUTOS_BARRA.COR_PRODUTO AS COLOR,
      PRODUTOS_BARRA.GRADE AS TALLA,
      CANTIDAD = CASE PRODUTOS_BARRA.GRADE
                      WHEN '38' THEN EN1
                      WHEN '40' THEN EN2
                      WHEN '42' THEN EN3
                      WHEN '44' THEN EN4
                      WHEN '46' THEN EN5
                      WHEN '48' THEN EN6
                 END
FROM LOJA_SAIDAS_PRODUTO
INNER JOIN LOJA_SAIDAS ON (LOJA_SAIDAS.ROMANEIO_PRODUTO = LOJA_SAIDAS_PRODUTO.ROMANEIO_PRODUTO)
INNER JOIN PRODUTOS_BARRA on
     (((PRODUTOS_BARRA.PRODUTO = LOJA_SAIDAS_PRODUTO.PRODUTO) AND
       (PRODUTOS_BARRA.COR_PRODUTO = LOJA_SAIDAS_PRODUTO.COR_PRODUTO)) AND
      ((PRODUTOS_BARRA.GRADE = CASE WHEN (LOJA_SAIDAS_PRODUTO.EN1 <> 0) THEN '38' END) OR
       (PRODUTOS_BARRA.GRADE = CASE WHEN (LOJA_SAIDAS_PRODUTO.EN2 <> 0) THEN '40' END) OR
       (PRODUTOS_BARRA.GRADE = CASE WHEN (LOJA_SAIDAS_PRODUTO.EN3 <> 0) THEN '42' END) OR
       (PRODUTOS_BARRA.GRADE = CASE WHEN (LOJA_SAIDAS_PRODUTO.EN4 <> 0) THEN '44' END) OR
       (PRODUTOS_BARRA.GRADE = CASE WHEN (LOJA_SAIDAS_PRODUTO.EN5 <> 0) THEN '46' END) OR
       (PRODUTOS_BARRA.GRADE = CASE WHEN (LOJA_SAIDAS_PRODUTO.EN6 <> 0) THEN '48' END)))
INNER JOIN PRODUTOS on (PRODUTOS.PRODUTO = PRODUTOS_BARRA.PRODUTO)
INNER JOIN FILIAIS AS FILIAIS_ORI ON (FILIAIS_ORI.FILIAL = LOJA_SAIDAS.FILIAL)
INNER JOIN RDX_FILIALES AS RDX_FILIALES_ORI ON (RDX_FILIALES_ORI.CODFILIAL = FILIAIS_ORI.COD_FILIAL)
INNER JOIN FILIAIS AS FILIAIS_DES ON (FILIAIS_DES.FILIAL = LOJA_SAIDAS.FILIAL_DESTINO)
INNER JOIN RDX_FILIALES AS RDX_FILIALES_DES ON (RDX_FILIALES_DES.CODFILIAL = FILIAIS_DES.COD_FILIAL)
WHERE LOJA_SAIDAS.TIPO_ENTRADA_SAIDA = 1 /* TRASPASOS DE PRENDAS A OTRO CENTRO */
AND LOJA_SAIDAS.EMISSAO >= '2006.07.01' /* PARA NO COGER AŅOS ANTERIORES */
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_HOJAS_TRASPASOS]
TO [public]
GO

--
-- Definition for view RDX_V_INVENTARIOEDI : 
--

CREATE VIEW RDX_V_INVENTARIOEDI AS
SELECT
      RDX_CANTINV.NUMDOC,
      RDX_CANTINV.NUMLIN,
      RDX_CANTINV.NUMCANT,
      RDX_CANTINV.TIPOCANT,
      RDX_CABINV.FECHALIQ AS FECHA,
      RDX_CABINV.CENTRO,
      FILIAL = ISNULL(FILIAIS.FILIAL, RDX_CABINV.CENTRO),
      RDX_CANTINV.IDVEN AS CODVEN,
      VENDEDOR = ISNULL(LTRIM(RTRIM(LOJA_VENDEDORES.NOME_VENDEDOR)) + ' ' + LTRIM(RTRIM(LOJA_VENDEDORES.VENDEDOR_APELIDO)), RDX_CANTINV.IDVEN),
      RDX_LININV.CODART AS CODIGO_BARRA,
      CODIGO = ISNULL(PRODUTOS.PRODUTO, '107CH.EN.01'),
      PRODUCTO = ISNULL(PRODUTOS.DESC_PRODUTO, '*** ERROR REFERENCIA  **** LLAMAR AL CI'),
      COLOR = ISNULL(PRODUTOS_BARRA.COR_PRODUTO, 300),
      TALLA = PRODUTOS_BARRA.GRADE,
      RDX_CANTINV.CANTIDAD,
      CENTRO2 = RDX_CANTINV.CENTRO,
      FILIAL2 = ISNULL(FILIAIS2.FILIAL, RDX_CANTINV.CENTRO)
FROM RDX_CANTINV
INNER JOIN RDX_LININV ON
      ((RDX_LININV.NUMDOC = RDX_CANTINV.NUMDOC) AND
       (RDX_LININV.NUMLIN = RDX_CANTINV.NUMLIN))
INNER JOIN RDX_CABINV ON
      (RDX_CABINV.NUMDOC = RDX_LININV.NUMDOC)
LEFT OUTER JOIN RDX_FILIALES ON (RDX_FILIALES.CODBARRA = RDX_CABINV.CENTRO)
LEFT OUTER JOIN FILIAIS ON (FILIAIS.COD_FILIAL = RDX_FILIALES.CODFILIAL)
LEFT OUTER JOIN RDX_FILIALES RDX_FILIALES2 ON (RDX_FILIALES2.CODBARRA = RDX_CANTINV.CENTRO)
LEFT OUTER JOIN FILIAIS FILIAIS2 ON (FILIAIS2.COD_FILIAL = RDX_FILIALES2.CODFILIAL)
LEFT OUTER JOIN LOJA_VENDEDORES ON (LOJA_VENDEDORES.RG LIKE '%' + RDX_CANTINV.IDVEN + '%')
LEFT OUTER JOIN PRODUTOS_BARRA ON ((PRODUTOS_BARRA.CODIGO_BARRA = RDX_LININV.CODART))
LEFT OUTER JOIN PRODUTOS ON (PRODUTOS.PRODUTO = PRODUTOS_BARRA.PRODUTO)
WHERE RDX_CABINV.FECHALIQ >= convert(datetime, '20060601', 112)  /* PARA NO COGER AŅOS ANTERIORES */
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_INVENTARIOEDI]
TO [public]
GO

--
-- Definition for view RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA : 
--

CREATE VIEW RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA AS
SELECT
      NUMDOC,
      NUMLIN,
      NUMCANT,
      TIPOCANT,
      FECHA,
      CENTRO,
      FILIAL,
      CODVEN,
      VENDEDOR,
      CODIGO_BARRA,
      CODIGO,
      PRODUCTO,
      COLOR,
      TALLA,
      CANTIDAD
FROM RDX_V_INVENTARIOEDI
WHERE (TIPOCANT = 61) /* DEVOLUCION DE PRENDAS A VARELA */
      OR (TIPOCANT = 65) /* DEVOLUCION POR TARA */
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA]
TO [public]
GO


--
-- Definition for view RDX_V_INVENTARIOEDI_RECEPCION : 
--

CREATE VIEW RDX_V_INVENTARIOEDI_RECEPCION AS
SELECT
      NUMDOC,
      NUMLIN,
      NUMCANT,
      TIPOCANT,
      FECHA,
      CENTRO,
      FILIAL,
      CODVEN,
      VENDEDOR,
      CODIGO_BARRA,
      CODIGO,
      PRODUCTO,
      COLOR,
      TALLA,
      CANTIDAD
FROM RDX_V_INVENTARIOEDI
WHERE TIPOCANT = 194   /* RECEPCION DE PRENDAS DESDE VARELA */
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_INVENTARIOEDI_RECEPCION]
TO [public]
GO


--
-- Definition for view RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA :
--

CREATE VIEW RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA AS
SELECT
      NUMDOC,
      NUMLIN,
      NUMCANT,
      TIPOCANT,
      FECHA,
      CENTRO,
      FILIAL,
      CODVEN,
      VENDEDOR,
      CODIGO_BARRA,
      CODIGO,
      PRODUCTO,
      COLOR,
      TALLA,
      CANTIDAD,
      CENTRO_ORIGEN = CENTRO2,
      FILIAL_ORIGEN = FILIAL2
FROM RDX_V_INVENTARIOEDI
WHERE TIPOCANT = 46   /* ENTRADA DE PRENDAS DESDE OTRO CENTRO */
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA]
TO [public]
GO


--
-- Definition for view RDX_V_INVENTARIOEDI_TRASPASO_SALIDA :
--

CREATE VIEW RDX_V_INVENTARIOEDI_TRASPASO_SALIDA AS
SELECT
      NUMDOC,
      NUMLIN,
      NUMCANT,
      TIPOCANT,
      FECHA,
      CENTRO,
      FILIAL,
      CODVEN,
      VENDEDOR,
      CODIGO_BARRA,
      CODIGO,
      PRODUCTO,
      COLOR,
      TALLA,
      CANTIDAD,
      CENTRO_DESTINO = CENTRO2,
      FILIAL_DESTINO = FILIAL2
FROM RDX_V_INVENTARIOEDI
WHERE TIPOCANT = 48   /* SALIDA DE PRENDAS A OTRO CENTRO */
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_INVENTARIOEDI_TRASPASO_SALIDA]
TO [public]
GO

--
-- Definition for view RDX_V_RECEPCION : 
--

CREATE VIEW RDX_V_RECEPCION AS
SELECT
      CENTRO = ISNULL(RDX_V_ALBARANES.CENTRO, RDX_V_INVENTARIOEDI_RECEPCION.CENTRO),
      FILIAL = ISNULL(RDX_V_ALBARANES.FILIAL, RDX_V_INVENTARIOEDI_RECEPCION.FILIAL),
      CODIGO = ISNULL(RDX_V_ALBARANES.CODIGO, RDX_V_INVENTARIOEDI_RECEPCION.CODIGO),
      PRODUCTO = ISNULL(RDX_V_ALBARANES.PRODUCTO, RDX_V_INVENTARIOEDI_RECEPCION.PRODUCTO),
      COLOR = ISNULL(RDX_V_ALBARANES.COLOR, RDX_V_INVENTARIOEDI_RECEPCION.COLOR),
      FECHA = ISNULL(RDX_V_ALBARANES.FECHA, RDX_V_INVENTARIOEDI_RECEPCION.FECHA),

      /* ALBARAN Y ESTADO */
      ALBARAN = RDX_V_ALBARANES.ALBARAN,
      ESTADO_ALBARAN = RDX_V_ALBARANES.ESTADO,
      OBSERVACIONES_ALBARAN = RDX_V_ALBARANES.OBSERVACIONES,
      CONTABILIZAR_ALBARAN = ISNULL(RDX_V_ALBARANES.CONTABILIZAR, 'S'),

      /* CANTIDADES ENVIADAS DESDE VARELA */
      E38 = SUM(CASE WHEN RDX_V_ALBARANES.TALLA = 38 THEN
                      ISNULL(RDX_V_ALBARANES.CANTIDAD, 0)
            END),
      E40 = SUM(CASE WHEN RDX_V_ALBARANES.TALLA = 40 THEN
                      ISNULL(RDX_V_ALBARANES.CANTIDAD, 0)
            END),
      E42 = SUM(CASE WHEN RDX_V_ALBARANES.TALLA = 42 THEN
                      ISNULL(RDX_V_ALBARANES.CANTIDAD, 0)
            END),
      E44 = SUM(CASE WHEN RDX_V_ALBARANES.TALLA = 44 THEN
                      ISNULL(RDX_V_ALBARANES.CANTIDAD, 0)
            END),
      E46 = SUM(CASE WHEN RDX_V_ALBARANES.TALLA = 46 THEN
                      ISNULL(RDX_V_ALBARANES.CANTIDAD, 0)
            END),
      E48 = SUM(CASE WHEN RDX_V_ALBARANES.TALLA = 48 THEN
                      ISNULL(RDX_V_ALBARANES.CANTIDAD, 0)
            END),
      ENVIADO = SUM(
                    CASE ISNULL(RDX_V_ALBARANES.CONTABILIZAR, 'S')
                         WHEN 'N' THEN 0
                         ELSE ISNULL(RDX_V_ALBARANES.CANTIDAD, 0)
                    END
                ),

      /* CANTIDADES RECIBIDAS EN EL CENTRO*/
      R38 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_RECEPCION.TALLA = 38 THEN
                      ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.CANTIDAD, 0)
            END),
      R40 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_RECEPCION.TALLA = 40 THEN
                      ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.CANTIDAD, 0)
            END),
      R42 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_RECEPCION.TALLA = 42 THEN
                      ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.CANTIDAD, 0)
            END),
      R44 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_RECEPCION.TALLA = 44 THEN
                      ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.CANTIDAD, 0)
            END),
      R46 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_RECEPCION.TALLA = 46 THEN
                      ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.CANTIDAD, 0)
            END),
      R48 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_RECEPCION.TALLA = 48 THEN
                      ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.CANTIDAD, 0)
            END),
      RECIBIDO = SUM(ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.CANTIDAD, 0)),

      DIFERENCIA = SUM(
                    CASE ISNULL(RDX_V_ALBARANES.CONTABILIZAR, 'S')
                         WHEN 'N' THEN 0
                         ELSE ISNULL(RDX_V_ALBARANES.CANTIDAD, 0)
                    END
                   ) -
                   SUM(ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.CANTIDAD, 0))
FROM
    RDX_V_ALBARANES
FULL OUTER JOIN RDX_V_INVENTARIOEDI_RECEPCION ON
    ((RDX_V_INVENTARIOEDI_RECEPCION.CENTRO = RDX_V_ALBARANES.CENTRO) AND
     (RDX_V_INVENTARIOEDI_RECEPCION.CODIGO_BARRA = RDX_V_ALBARANES.CODIGO_BARRA) AND
     (RDX_V_INVENTARIOEDI_RECEPCION.FECHA = RDX_V_ALBARANES.FECHA))
GROUP BY
	ISNULL(RDX_V_ALBARANES.CENTRO, RDX_V_INVENTARIOEDI_RECEPCION.CENTRO),
	ISNULL(RDX_V_ALBARANES.FILIAL, RDX_V_INVENTARIOEDI_RECEPCION.FILIAL),
	ISNULL(RDX_V_ALBARANES.CODIGO, RDX_V_INVENTARIOEDI_RECEPCION.CODIGO),
	ISNULL(RDX_V_ALBARANES.PRODUCTO, RDX_V_INVENTARIOEDI_RECEPCION.PRODUCTO),
	ISNULL(RDX_V_ALBARANES.COLOR, RDX_V_INVENTARIOEDI_RECEPCION.COLOR),
	ISNULL(RDX_V_ALBARANES.FECHA, RDX_V_INVENTARIOEDI_RECEPCION.FECHA),
	RDX_V_ALBARANES.ALBARAN,
	RDX_V_ALBARANES.ESTADO,
	RDX_V_ALBARANES.OBSERVACIONES,
	ISNULL(RDX_V_ALBARANES.CONTABILIZAR, 'S')
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_RECEPCION]
TO [public]
GO

--
-- Definition for view RDX_V_DEVOLUCIONES : 
--

CREATE VIEW RDX_V_DEVOLUCIONES AS
SELECT
      CENTRO = ISNULL(RDX_V_HOJAS_DEVOLUCIONES.CENTRO_ORIGEN, RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.CENTRO),
      FILIAL = ISNULL(RDX_V_HOJAS_DEVOLUCIONES.FILIAL_ORIGEN, RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.FILIAL),
      CODIGO = ISNULL(RDX_V_HOJAS_DEVOLUCIONES.CODIGO, RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.CODIGO),
      PRODUCTO = ISNULL(RDX_V_HOJAS_DEVOLUCIONES.PRODUCTO, RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.PRODUCTO),
      COLOR = ISNULL(RDX_V_HOJAS_DEVOLUCIONES.COLOR, RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.COLOR),
      FECHA = ISNULL(RDX_V_HOJAS_DEVOLUCIONES.FECHA, RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.FECHA),

      /* HOJA DE MOVIMIENTOS Y ESTADO */
      NUMHOJA = RDX_V_HOJAS_DEVOLUCIONES.NUMHOJA,
      ESTADO_HOJA = RDX_V_HOJAS_DEVOLUCIONES.ESTADO,
      OBSERVACIONES_HOJA = RDX_V_HOJAS_DEVOLUCIONES.OBSERVACIONES,
      CONTABILIZAR_HOJA = ISNULL(RDX_V_HOJAS_DEVOLUCIONES.CONTABILIZAR, 'S'),

      /* CANTIDADES SOLICITADAS DESDE VARELA */
      S38 = SUM(CASE WHEN RDX_V_HOJAS_DEVOLUCIONES.TALLA = 38 THEN
                      ISNULL(RDX_V_HOJAS_DEVOLUCIONES.CANTIDAD, 0)
            END),
      S40 = SUM(CASE WHEN RDX_V_HOJAS_DEVOLUCIONES.TALLA = 40 THEN
                      ISNULL(RDX_V_HOJAS_DEVOLUCIONES.CANTIDAD, 0)
            END),
      S42 = SUM(CASE WHEN RDX_V_HOJAS_DEVOLUCIONES.TALLA = 42 THEN
                      ISNULL(RDX_V_HOJAS_DEVOLUCIONES.CANTIDAD, 0)
            END),
      S44 = SUM(CASE WHEN RDX_V_HOJAS_DEVOLUCIONES.TALLA = 44 THEN
                      ISNULL(RDX_V_HOJAS_DEVOLUCIONES.CANTIDAD, 0)
            END),
      S46 = SUM(CASE WHEN RDX_V_HOJAS_DEVOLUCIONES.TALLA = 46 THEN
                      ISNULL(RDX_V_HOJAS_DEVOLUCIONES.CANTIDAD, 0)
            END),
      S48 = SUM(CASE WHEN RDX_V_HOJAS_DEVOLUCIONES.TALLA = 48 THEN
                      ISNULL(RDX_V_HOJAS_DEVOLUCIONES.CANTIDAD, 0)
            END),
      SOLICITADO = SUM(
                    CASE ISNULL(RDX_V_HOJAS_DEVOLUCIONES.CONTABILIZAR, 'S')
                         WHEN 'N' THEN 0
                         ELSE ISNULL(RDX_V_HOJAS_DEVOLUCIONES.CANTIDAD, 0)
                    END
                    ),

      /* CANTIDADES ENVIADAS DESDE EL CENTRO*/
      E38 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.TALLA = 38 THEN
                     ISNULL(RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.CANTIDAD, 0)
            END),
      E40 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.TALLA = 40 THEN
                     ISNULL(RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.CANTIDAD, 0)
            END),
      E42 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.TALLA = 42 THEN
                     ISNULL(RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.CANTIDAD, 0)
            END),
      E44 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.TALLA = 44 THEN
                     ISNULL(RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.CANTIDAD, 0)
            END),
      E46 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.TALLA = 46 THEN
                     ISNULL(RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.CANTIDAD, 0)
            END),
      E48 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.TALLA = 48 THEN
                     ISNULL(RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.CANTIDAD, 0)
            END),

      ENVIADO = SUM(ISNULL(RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.CANTIDAD, 0)),

      DIFERENCIA = SUM(
                 CASE ISNULL(RDX_V_HOJAS_DEVOLUCIONES.CONTABILIZAR, 'S')
                         WHEN 'N' THEN 0
                         ELSE ISNULL(RDX_V_HOJAS_DEVOLUCIONES.CANTIDAD, 0)
                 END) -
                 SUM(ISNULL(RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.CANTIDAD, 0))
FROM
    RDX_V_HOJAS_DEVOLUCIONES
FULL OUTER JOIN RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA ON
    ((RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.CENTRO = RDX_V_HOJAS_DEVOLUCIONES.CENTRO_ORIGEN) AND
     (RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.CODIGO_BARRA = RDX_V_HOJAS_DEVOLUCIONES.CODIGO_BARRA) AND
     (RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.FECHA = RDX_V_HOJAS_DEVOLUCIONES.FECHA))
GROUP BY
      ISNULL(RDX_V_HOJAS_DEVOLUCIONES.CENTRO_ORIGEN, RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.CENTRO),
      ISNULL(RDX_V_HOJAS_DEVOLUCIONES.FILIAL_ORIGEN, RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.FILIAL),
      ISNULL(RDX_V_HOJAS_DEVOLUCIONES.CODIGO, RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.CODIGO),
      ISNULL(RDX_V_HOJAS_DEVOLUCIONES.PRODUCTO, RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.PRODUCTO),
      ISNULL(RDX_V_HOJAS_DEVOLUCIONES.COLOR, RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.COLOR),
      ISNULL(RDX_V_HOJAS_DEVOLUCIONES.FECHA, RDX_V_INVENTARIOEDI_DEVOLUCION_Y_TARA.FECHA),
      RDX_V_HOJAS_DEVOLUCIONES.NUMHOJA,
	  RDX_V_HOJAS_DEVOLUCIONES.ESTADO,
	  RDX_V_HOJAS_DEVOLUCIONES.OBSERVACIONES,
	  ISNULL(RDX_V_HOJAS_DEVOLUCIONES.CONTABILIZAR, 'S')
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_DEVOLUCIONES]
TO [public]
GO


--
-- Definition for view RDX_V_CONTROL_DEVOLUCIONES : 
--

CREATE VIEW RDX_V_CONTROL_DEVOLUCIONES AS
SELECT
      APROBADO = ISNULL(RDX_DEVOLUCION_AJUSTES.APROBADO, 'N'),
      RDX_DEVOLUCION_AJUSTES.FECHACAMBIO,

      RDX_V_DEVOLUCIONES.CENTRO,
      RDX_V_DEVOLUCIONES.FILIAL,
      RDX_V_DEVOLUCIONES.CODIGO,
      RDX_V_DEVOLUCIONES.PRODUCTO,
      RDX_V_DEVOLUCIONES.COLOR,
      RDX_V_DEVOLUCIONES.FECHA,

      /* HOJA DE MOVIMIENTOS Y ESTADO */
      RDX_V_DEVOLUCIONES.NUMHOJA,
      RDX_V_DEVOLUCIONES.ESTADO_HOJA,
      RDX_V_DEVOLUCIONES.OBSERVACIONES_HOJA,
      RDX_V_DEVOLUCIONES.CONTABILIZAR_HOJA,

      /* CANTIDADES SOLICITADAS DESDE VARELA */
      S38, S40, S42, S44, S46, S48, RDX_V_DEVOLUCIONES.SOLICITADO,

      /* CANTIDADES ENVIADAS DESDE EL CENTRO*/
      E38, E40, E42, E44, E46, E48, RDX_V_DEVOLUCIONES.ENVIADO,

      /* CANTIDADES ENVIADAS RECTIFICADAS */
      ER38 = ISNULL(RDX_DEVOLUCION_AJUSTES.CANT38, E38),
      ER40 = ISNULL(RDX_DEVOLUCION_AJUSTES.CANT40, E40),
      ER42 = ISNULL(RDX_DEVOLUCION_AJUSTES.CANT42, E42),
      ER44 = ISNULL(RDX_DEVOLUCION_AJUSTES.CANT44, E44),
      ER46 = ISNULL(RDX_DEVOLUCION_AJUSTES.CANT46, E46),
      ER48 = ISNULL(RDX_DEVOLUCION_AJUSTES.CANT48, E48),

      ENVIADO_RECT =
                    ISNULL(RDX_DEVOLUCION_AJUSTES.CANT38, ISNULL(E38, 0)) +
                    ISNULL(RDX_DEVOLUCION_AJUSTES.CANT40, ISNULL(E40, 0)) +
                    ISNULL(RDX_DEVOLUCION_AJUSTES.CANT42, ISNULL(E42, 0)) +
                    ISNULL(RDX_DEVOLUCION_AJUSTES.CANT44, ISNULL(E44, 0)) +
                    ISNULL(RDX_DEVOLUCION_AJUSTES.CANT46, ISNULL(E46, 0)) +
                    ISNULL(RDX_DEVOLUCION_AJUSTES.CANT48, ISNULL(E48, 0)),

      DIFERENCIA =
      (
                    ISNULL(RDX_DEVOLUCION_AJUSTES.CANT38, ISNULL(E38, 0)) +
                    ISNULL(RDX_DEVOLUCION_AJUSTES.CANT40, ISNULL(E40, 0)) +
                    ISNULL(RDX_DEVOLUCION_AJUSTES.CANT42, ISNULL(E42, 0)) +
                    ISNULL(RDX_DEVOLUCION_AJUSTES.CANT44, ISNULL(E44, 0)) +
                    ISNULL(RDX_DEVOLUCION_AJUSTES.CANT46, ISNULL(E46, 0)) +
                    ISNULL(RDX_DEVOLUCION_AJUSTES.CANT48, ISNULL(E48, 0))
      ) - SOLICITADO
FROM
    RDX_V_DEVOLUCIONES
LEFT OUTER JOIN RDX_DEVOLUCION_AJUSTES ON
    ((RDX_DEVOLUCION_AJUSTES.FECHA = RDX_V_DEVOLUCIONES.FECHA) AND
     (RDX_DEVOLUCION_AJUSTES.CENTRO = RDX_V_DEVOLUCIONES.CENTRO) AND
     (RDX_DEVOLUCION_AJUSTES.CODIGO = RDX_V_DEVOLUCIONES.CODIGO) AND
     (RDX_DEVOLUCION_AJUSTES.COLOR = RDX_V_DEVOLUCIONES.COLOR))
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_CONTROL_DEVOLUCIONES]
TO [public]
GO


--
-- Definition for view RDX_V_CONTROL_RECEPCION : 
--

CREATE VIEW RDX_V_CONTROL_RECEPCION AS
SELECT
      APROBADO = ISNULL(RDX_RECEPCION_AJUSTES.APROBADO, 'N'),
      RDX_RECEPCION_AJUSTES.FECHACAMBIO,

      RDX_V_RECEPCION.CENTRO,
      RDX_V_RECEPCION.FILIAL,
      RDX_V_RECEPCION.CODIGO,
      RDX_V_RECEPCION.PRODUCTO,
      RDX_V_RECEPCION.COLOR,
      RDX_V_RECEPCION.FECHA,

      /* ALBARAN Y ESTADO */
      RDX_V_RECEPCION.ALBARAN,
      RDX_V_RECEPCION.ESTADO_ALBARAN,
      RDX_V_RECEPCION.OBSERVACIONES_ALBARAN,
      RDX_V_RECEPCION.CONTABILIZAR_ALBARAN,

      /* CANTIDADES ENVIADAS DESDE VARELA */
      E38, E40, E42, E44, E46, E48, RDX_V_RECEPCION.ENVIADO,

      /* CANTIDADES RECIBIDAS EN EL CENTRO*/
      R38, R40, R42, R44, R46, R48, RDX_V_RECEPCION.RECIBIDO,

      /* CANTIDADES RECIBIDAS RECTIFICADAS */
      RR38 = ISNULL(RDX_RECEPCION_AJUSTES.CANT38, R38),
      RR40 = ISNULL(RDX_RECEPCION_AJUSTES.CANT40, R40),
      RR42 = ISNULL(RDX_RECEPCION_AJUSTES.CANT42, R42),
      RR44 = ISNULL(RDX_RECEPCION_AJUSTES.CANT44, R44),
      RR46 = ISNULL(RDX_RECEPCION_AJUSTES.CANT46, R46),
      RR48 = ISNULL(RDX_RECEPCION_AJUSTES.CANT48, R48),

      RECIBIDO_RECT =
                    ISNULL(RDX_RECEPCION_AJUSTES.CANT38, ISNULL(R38, 0)) +
                    ISNULL(RDX_RECEPCION_AJUSTES.CANT40, ISNULL(R40, 0)) +
                    ISNULL(RDX_RECEPCION_AJUSTES.CANT42, ISNULL(R42, 0)) +
                    ISNULL(RDX_RECEPCION_AJUSTES.CANT44, ISNULL(R44, 0)) +
                    ISNULL(RDX_RECEPCION_AJUSTES.CANT46, ISNULL(R46, 0)) +
                    ISNULL(RDX_RECEPCION_AJUSTES.CANT48, ISNULL(R48, 0)),

      DIFERENCIA =
      (
                    ISNULL(RDX_RECEPCION_AJUSTES.CANT38, ISNULL(R38, 0)) +
                    ISNULL(RDX_RECEPCION_AJUSTES.CANT40, ISNULL(R40, 0)) +
                    ISNULL(RDX_RECEPCION_AJUSTES.CANT42, ISNULL(R42, 0)) +
                    ISNULL(RDX_RECEPCION_AJUSTES.CANT44, ISNULL(R44, 0)) +
                    ISNULL(RDX_RECEPCION_AJUSTES.CANT46, ISNULL(R46, 0)) +
                    ISNULL(RDX_RECEPCION_AJUSTES.CANT48, ISNULL(R48, 0))
      ) - ENVIADO
FROM
    RDX_V_RECEPCION
LEFT OUTER JOIN RDX_RECEPCION_AJUSTES ON
    ((RDX_RECEPCION_AJUSTES.FECHA = RDX_V_RECEPCION.FECHA) AND
     (RDX_RECEPCION_AJUSTES.CENTRO = RDX_V_RECEPCION.CENTRO) AND
     (RDX_RECEPCION_AJUSTES.CODIGO = RDX_V_RECEPCION.CODIGO) AND
     (RDX_RECEPCION_AJUSTES.COLOR = RDX_V_RECEPCION.COLOR))
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_CONTROL_RECEPCION]
TO [public]
GO

--
-- Definition for view RDX_V_CONTROL_TRASPASOS : 
--

CREATE VIEW RDX_V_CONTROL_TRASPASOS AS
SELECT
      RDX_V_TRASPASOS.TIPO,
      RDX_V_TRASPASOS.FECHA,
      RDX_V_TRASPASOS.CENTRO,
      RDX_V_TRASPASOS.FILIAL,
      RDX_V_TRASPASOS.CENTRO2,
      RDX_V_TRASPASOS.FILIAL2,
      APROBADO = ISNULL(RDX_TRASPASOS_AJUSTES.APROBADO, 'N'),
      ESTADO_TRASPASO = RDX_TRASPASOS_AJUSTES.ESTADO,
      OBSERVACIONES = RDX_TRASPASOS_AJUSTES.OBSERVACIONES,
      CONTABILIZAR = ISNULL(RDX_TRASPASOS_AJUSTES.CONTABILIZAR, 'S'),
      RDX_TRASPASOS_AJUSTES.FECHACAMBIO,
      RDX_V_TRASPASOS.CODIGO,
      RDX_V_TRASPASOS.PRODUCTO,
      RDX_V_TRASPASOS.COLOR,
      RDX_V_TRASPASOS.T38,
      RDX_V_TRASPASOS.T40,
      RDX_V_TRASPASOS.T42,
      RDX_V_TRASPASOS.T44,
      RDX_V_TRASPASOS.T46,
      RDX_V_TRASPASOS.T48,
      RDX_V_TRASPASOS.TOTAL,
      TR38 = ISNULL(RDX_TRASPASOS_AJUSTES.CANT38, RDX_V_TRASPASOS.T38),
      TR40 = ISNULL(RDX_TRASPASOS_AJUSTES.CANT40, RDX_V_TRASPASOS.T40),
      TR42 = ISNULL(RDX_TRASPASOS_AJUSTES.CANT42, RDX_V_TRASPASOS.T42),
      TR44 = ISNULL(RDX_TRASPASOS_AJUSTES.CANT44, RDX_V_TRASPASOS.T44),
      TR46 = ISNULL(RDX_TRASPASOS_AJUSTES.CANT46, RDX_V_TRASPASOS.T46),
      TR48 = ISNULL(RDX_TRASPASOS_AJUSTES.CANT48, RDX_V_TRASPASOS.T48),
      TOTAL_RECT =
                 ISNULL(ISNULL(RDX_TRASPASOS_AJUSTES.CANT38, RDX_V_TRASPASOS.T38), 0) +
                 ISNULL(ISNULL(RDX_TRASPASOS_AJUSTES.CANT40, RDX_V_TRASPASOS.T40), 0) +
                 ISNULL(ISNULL(RDX_TRASPASOS_AJUSTES.CANT42, RDX_V_TRASPASOS.T42), 0) +
                 ISNULL(ISNULL(RDX_TRASPASOS_AJUSTES.CANT44, RDX_V_TRASPASOS.T44), 0) +
                 ISNULL(ISNULL(RDX_TRASPASOS_AJUSTES.CANT46, RDX_V_TRASPASOS.T46), 0) +
                 ISNULL(ISNULL(RDX_TRASPASOS_AJUSTES.CANT48, RDX_V_TRASPASOS.T48), 0)
FROM RDX_V_TRASPASOS
LEFT OUTER JOIN RDX_TRASPASOS_AJUSTES ON
     ((RDX_TRASPASOS_AJUSTES.CENTRO = RDX_V_TRASPASOS.CENTRO) AND
      (RDX_TRASPASOS_AJUSTES.CENTRO2 = RDX_V_TRASPASOS.CENTRO2) AND
      (RDX_TRASPASOS_AJUSTES.CODIGO = RDX_V_TRASPASOS.CODIGO) AND
      (RDX_TRASPASOS_AJUSTES.COLOR = RDX_V_TRASPASOS.COLOR) AND
      (RDX_TRASPASOS_AJUSTES.FECHA = RDX_V_TRASPASOS.FECHA) AND
      (RDX_TRASPASOS_AJUSTES.TIPOCANT = RDX_V_TRASPASOS.TIPO))
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_CONTROL_TRASPASOS]
TO [public]
GO












--
-- Definition for view RDX_V_TRASPASO_SALIDA :
--

CREATE VIEW RDX_V_TRASPASO_SALIDA AS
SELECT
      CENTRO_ORIGEN = RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.CENTRO,
      FILIAL_ORIGEN = RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.FILIAL,

      CENTRO_DESTINO = RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.CENTRO_DESTINO,
      FILIAL_DESTINO = RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.FILIAL_DESTINO,

      CODIGO = RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.CODIGO,
      PRODUCTO = RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.PRODUCTO,
      COLOR = RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.COLOR,
      FECHA = RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.FECHA,

      /* CANTIDADES ENVIADAS DESDE EL CENTRO*/
      T38 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.TALLA = 38 THEN
                     ISNULL(RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.CANTIDAD, 0)
            END),
      T40 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.TALLA = 40 THEN
                     ISNULL(RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.CANTIDAD, 0)
            END),
      T42 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.TALLA = 42 THEN
                     ISNULL(RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.CANTIDAD, 0)
            END),
      T44 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.TALLA = 44 THEN
                     ISNULL(RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.CANTIDAD, 0)
            END),
      T46 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.TALLA = 46 THEN
                     ISNULL(RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.CANTIDAD, 0)
            END),
      T48 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.TALLA = 48 THEN
                     ISNULL(RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.CANTIDAD, 0)
            END),

      TOTAL = SUM(ISNULL(RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.CANTIDAD, 0))
FROM
    RDX_V_INVENTARIOEDI_TRASPASO_SALIDA
GROUP BY
      RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.CENTRO,
      RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.FILIAL,
      RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.CENTRO_DESTINO,
      RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.FILIAL_DESTINO,
      RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.CODIGO,
      RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.PRODUCTO,
      RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.COLOR,
      RDX_V_INVENTARIOEDI_TRASPASO_SALIDA.FECHA
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_TRASPASO_SALIDA]
TO [public]
GO


--
-- Definition for view RDX_V_TRASPASO_ENTRADA : 
--

CREATE VIEW RDX_V_TRASPASO_ENTRADA AS
SELECT
      CENTRO_ORIGEN = RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.CENTRO_ORIGEN,
      FILIAL_ORIGEN = RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.FILIAL_ORIGEN,

      CENTRO_DESTINO = RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.CENTRO,
      FILIAL_DESTINO = RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.FILIAL,

      CODIGO = RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.CODIGO,
      PRODUCTO = RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.PRODUCTO,
      COLOR = RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.COLOR,
      FECHA = RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.FECHA,

      /* CANTIDADES ENVIADAS DESDE EL CENTRO*/
      T38 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.TALLA = 38 THEN
                     ISNULL(RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.CANTIDAD, 0)
            END),
      T40 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.TALLA = 40 THEN
                     ISNULL(RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.CANTIDAD, 0)
            END),
      T42 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.TALLA = 42 THEN
                     ISNULL(RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.CANTIDAD, 0)
            END),
      T44 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.TALLA = 44 THEN
                     ISNULL(RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.CANTIDAD, 0)
            END),
      T46 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.TALLA = 46 THEN
                     ISNULL(RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.CANTIDAD, 0)
            END),
      T48 = SUM(CASE WHEN RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.TALLA = 48 THEN
                     ISNULL(RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.CANTIDAD, 0)
            END),

      TOTAL = SUM(ISNULL(RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.CANTIDAD, 0))

FROM
    RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA
GROUP BY
      RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.CENTRO_ORIGEN,
      RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.FILIAL_ORIGEN,
      RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.CENTRO,
      RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.FILIAL,
      RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.CODIGO,
      RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.PRODUCTO,
      RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.COLOR,
      RDX_V_INVENTARIOEDI_TRASPASO_ENTRADA.FECHA
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_TRASPASO_ENTRADA]
TO [public]
GO

--
-- Definition for view RDX_V_TRASPASOS :
--

CREATE VIEW RDX_V_TRASPASOS AS
SELECT
      TIPO = 'S',
      CENTRO_ORIGEN as CENTRO,
      FILIAL_ORIGEN as FILIAL,
      CENTRO_DESTINO as CENTRO2,
      FILIAL_DESTINO as FILIAL2,
      CODIGO,
      PRODUCTO,
      COLOR,
      FECHA,
      T38,
      T40,
      T42,
      T44,
      T46,
      T48,
      TOTAL
FROM RDX_V_TRASPASO_SALIDA
UNION
SELECT
      'E',
      CENTRO_DESTINO,
      FILIAL_DESTINO,
      CENTRO_ORIGEN,
      FILIAL_ORIGEN,
      CODIGO,
      PRODUCTO,
      COLOR,
      FECHA,
      T38,
      T40,
      T42,
      T44,
      T46,
      T48,
      TOTAL
FROM RDX_V_TRASPASO_ENTRADA
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_TRASPASOS]
TO [public]
GO




--
-- Definition for view RDX_V_RECEPCION_AJUSTES_DESGLOSADO : 
--

CREATE VIEW RDX_V_RECEPCION_AJUSTES_DESGLOSADO AS
SELECT
      RDX_RECEPCION_AJUSTES.FECHA,
      RDX_RECEPCION_AJUSTES.CENTRO,
      FILIAL = ISNULL(FILIAIS.FILIAL, RDX_RECEPCION_AJUSTES.CENTRO),
      RDX_RECEPCION_AJUSTES.CODIGO,
      PRODUCTO = PRODUTOS.DESC_PRODUTO,
      RDX_RECEPCION_AJUSTES.COLOR,
      RDX_TALLAS.TALLA,
      CANTIDAD = CASE RDX_TALLAS.TALLA
                      WHEN '38' THEN RDX_RECEPCION_AJUSTES.CANT38
                      WHEN '40' THEN RDX_RECEPCION_AJUSTES.CANT40
                      WHEN '42' THEN RDX_RECEPCION_AJUSTES.CANT42
                      WHEN '44' THEN RDX_RECEPCION_AJUSTES.CANT44
                      WHEN '46' THEN RDX_RECEPCION_AJUSTES.CANT46
                      WHEN '48' THEN RDX_RECEPCION_AJUSTES.CANT48
                 END
FROM RDX_TALLAS, RDX_RECEPCION_AJUSTES
LEFT OUTER JOIN RDX_FILIALES ON (RDX_FILIALES.CODBARRA = RDX_RECEPCION_AJUSTES.CENTRO)
LEFT OUTER JOIN FILIAIS ON (FILIAIS.COD_FILIAL = RDX_FILIALES.CODFILIAL)
LEFT OUTER JOIN PRODUTOS ON (PRODUTOS.PRODUTO = RDX_RECEPCION_AJUSTES.CODIGO)
WHERE CASE RDX_TALLAS.TALLA
                      WHEN '38' THEN RDX_RECEPCION_AJUSTES.CANT38
                      WHEN '40' THEN RDX_RECEPCION_AJUSTES.CANT40
                      WHEN '42' THEN RDX_RECEPCION_AJUSTES.CANT42
                      WHEN '44' THEN RDX_RECEPCION_AJUSTES.CANT44
                      WHEN '46' THEN RDX_RECEPCION_AJUSTES.CANT46
                      WHEN '48' THEN RDX_RECEPCION_AJUSTES.CANT48
      END IS NOT NULL
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_RECEPCION_AJUSTES_DESGLOSADO]
TO [public]
GO


--
-- Definition for view RDX_V_CONTROL_RECEPCION_DESGLOSADO : 
--

CREATE VIEW RDX_V_CONTROL_RECEPCION_DESGLOSADO AS
SELECT
      FECHA = ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.FECHA, RDX_V_RECEPCION_AJUSTES_DESGLOSADO.FECHA),
      CENTRO = ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.CENTRO, RDX_V_RECEPCION_AJUSTES_DESGLOSADO.CENTRO),
      FILIAL = ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.FILIAL, RDX_V_RECEPCION_AJUSTES_DESGLOSADO.FILIAL),
      CODIGO = ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.CODIGO, RDX_V_RECEPCION_AJUSTES_DESGLOSADO.CODIGO),
      PRODUCTO = ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.PRODUCTO, RDX_V_RECEPCION_AJUSTES_DESGLOSADO.PRODUCTO),
      COLOR = ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.COLOR, RDX_V_RECEPCION_AJUSTES_DESGLOSADO.COLOR),
      TALLA = ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.TALLA, RDX_V_RECEPCION_AJUSTES_DESGLOSADO.TALLA),
      CANTIDAD = SUM(ISNULL(RDX_V_RECEPCION_AJUSTES_DESGLOSADO.CANTIDAD, RDX_V_INVENTARIOEDI_RECEPCION.CANTIDAD))
FROM
  RDX_V_RECEPCION_AJUSTES_DESGLOSADO
FULL OUTER JOIN RDX_V_INVENTARIOEDI_RECEPCION ON
  (RDX_V_RECEPCION_AJUSTES_DESGLOSADO.FECHA = RDX_V_INVENTARIOEDI_RECEPCION.FECHA) AND
  (RDX_V_RECEPCION_AJUSTES_DESGLOSADO.CENTRO = RDX_V_INVENTARIOEDI_RECEPCION.CENTRO) AND
  (RDX_V_RECEPCION_AJUSTES_DESGLOSADO.CODIGO = RDX_V_INVENTARIOEDI_RECEPCION.CODIGO) AND
  (RDX_V_RECEPCION_AJUSTES_DESGLOSADO.COLOR = RDX_V_INVENTARIOEDI_RECEPCION.COLOR) AND
  (RDX_V_RECEPCION_AJUSTES_DESGLOSADO.TALLA = RDX_V_INVENTARIOEDI_RECEPCION.TALLA)
GROUP BY
      ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.FECHA, RDX_V_RECEPCION_AJUSTES_DESGLOSADO.FECHA),
      ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.CENTRO, RDX_V_RECEPCION_AJUSTES_DESGLOSADO.CENTRO),
      ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.FILIAL, RDX_V_RECEPCION_AJUSTES_DESGLOSADO.FILIAL),
      ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.CODIGO, RDX_V_RECEPCION_AJUSTES_DESGLOSADO.CODIGO),
      ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.PRODUCTO, RDX_V_RECEPCION_AJUSTES_DESGLOSADO.PRODUCTO),
      ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.COLOR, RDX_V_RECEPCION_AJUSTES_DESGLOSADO.COLOR),
      ISNULL(RDX_V_INVENTARIOEDI_RECEPCION.TALLA, RDX_V_RECEPCION_AJUSTES_DESGLOSADO.TALLA)
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_CONTROL_RECEPCION_DESGLOSADO]
TO [public]
GO




--
-- Definition for view RDX_V_DEVOLUCION_AJUSTES_DESGLOSADO : 
--

CREATE VIEW RDX_V_DEVOLUCION_AJUSTES_DESGLOSADO AS
SELECT
      RDX_DEVOLUCION_AJUSTES.FECHA,
      RDX_DEVOLUCION_AJUSTES.CENTRO,
      FILIAL = ISNULL(FILIAIS.FILIAL, RDX_DEVOLUCION_AJUSTES.CENTRO),
      RDX_DEVOLUCION_AJUSTES.CODIGO,
      PRODUCTO = PRODUTOS.DESC_PRODUTO,
      RDX_DEVOLUCION_AJUSTES.COLOR,
      RDX_TALLAS.TALLA,
      CANTIDAD = CASE RDX_TALLAS.TALLA
                      WHEN '38' THEN RDX_DEVOLUCION_AJUSTES.CANT38
                      WHEN '40' THEN RDX_DEVOLUCION_AJUSTES.CANT40
                      WHEN '42' THEN RDX_DEVOLUCION_AJUSTES.CANT42
                      WHEN '44' THEN RDX_DEVOLUCION_AJUSTES.CANT44
                      WHEN '46' THEN RDX_DEVOLUCION_AJUSTES.CANT46
                      WHEN '48' THEN RDX_DEVOLUCION_AJUSTES.CANT48
                 END
FROM RDX_TALLAS, RDX_DEVOLUCION_AJUSTES
LEFT OUTER JOIN RDX_FILIALES ON (RDX_FILIALES.CODBARRA = RDX_DEVOLUCION_AJUSTES.CENTRO)
LEFT OUTER JOIN FILIAIS ON (FILIAIS.COD_FILIAL = RDX_FILIALES.CODFILIAL)
LEFT OUTER JOIN PRODUTOS ON (PRODUTOS.PRODUTO = RDX_DEVOLUCION_AJUSTES.CODIGO)
WHERE CASE RDX_TALLAS.TALLA
                      WHEN '38' THEN RDX_DEVOLUCION_AJUSTES.CANT38
                      WHEN '40' THEN RDX_DEVOLUCION_AJUSTES.CANT40
                      WHEN '42' THEN RDX_DEVOLUCION_AJUSTES.CANT42
                      WHEN '44' THEN RDX_DEVOLUCION_AJUSTES.CANT44
                      WHEN '46' THEN RDX_DEVOLUCION_AJUSTES.CANT46
                      WHEN '48' THEN RDX_DEVOLUCION_AJUSTES.CANT48
      END IS NOT NULL
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_DEVOLUCION_AJUSTES_DESGLOSADO]
TO [public]
GO

--
-- Definition for view RDX_V_INVENTARIO_MAXFECHAS : 
--

CREATE VIEW RDX_V_INVENTARIO_MAXFECHAS AS
SELECT
      CENTRO,
      FILIAL,
      CODIGO,
      PRODUCTO,
      COLOR,
      TALLA,
      FECHA = MAX(FECHA)
FROM RDX_V_INVENTARIOEDI
WHERE RDX_V_INVENTARIOEDI.TIPOCANT = 145
GROUP BY
      CENTRO,
      FILIAL,
      CODIGO,
      PRODUCTO,
      COLOR,
      TALLA
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_INVENTARIO_MAXFECHAS]
TO [public]
GO


--
-- Definition for view RDX_V_INVENTARIOEDI_TRASPASO :
--

CREATE VIEW RDX_V_INVENTARIOEDI_TRASPASO AS
SELECT
      NUMDOC,
      NUMLIN,
      NUMCANT,
      TIPOCANT,
      FECHA,
      CENTRO,
      FILIAL,
      CODVEN,
      VENDEDOR,
      CODIGO_BARRA,
      CODIGO,
      PRODUCTO,
      COLOR,
      TALLA,
      CANTIDAD,
      CENTRO2,
      FILIAL2
FROM RDX_V_INVENTARIOEDI
WHERE (TIPOCANT = 46) or (TIPOCANT = 48)
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_INVENTARIOEDI_TRASPASO]
TO [public]
GO


--
-- Definition for view RDX_V_TRASPASOS_AJUSTES_DESGLOSADO : 
--

CREATE VIEW RDX_V_TRASPASOS_AJUSTES_DESGLOSADO AS
SELECT
      RDX_TRASPASOS_AJUSTES.FECHA,
      RDX_TRASPASOS_AJUSTES.CENTRO,
      FILIAL = ISNULL(FILIAIS.FILIAL, RDX_TRASPASOS_AJUSTES.CENTRO),
      RDX_TRASPASOS_AJUSTES.CENTRO2,
      FILIAL2 = ISNULL(FILIAIS2.FILIAL, RDX_TRASPASOS_AJUSTES.CENTRO2),
      TIPO = RDX_TRASPASOS_AJUSTES.TIPOCANT,
      RDX_TRASPASOS_AJUSTES.CODIGO,
      PRODUCTO = PRODUTOS.DESC_PRODUTO,
      RDX_TRASPASOS_AJUSTES.COLOR,
      RDX_TALLAS.TALLA,
      CANTIDAD = CASE RDX_TALLAS.TALLA
                      WHEN '38' THEN RDX_TRASPASOS_AJUSTES.CANT38
                      WHEN '40' THEN RDX_TRASPASOS_AJUSTES.CANT40
                      WHEN '42' THEN RDX_TRASPASOS_AJUSTES.CANT42
                      WHEN '44' THEN RDX_TRASPASOS_AJUSTES.CANT44
                      WHEN '46' THEN RDX_TRASPASOS_AJUSTES.CANT46
                      WHEN '48' THEN RDX_TRASPASOS_AJUSTES.CANT48
                 END
FROM RDX_TALLAS, RDX_TRASPASOS_AJUSTES
LEFT OUTER JOIN RDX_FILIALES ON (RDX_FILIALES.CODBARRA = RDX_TRASPASOS_AJUSTES.CENTRO)
LEFT OUTER JOIN FILIAIS ON (FILIAIS.COD_FILIAL = RDX_FILIALES.CODFILIAL)
LEFT OUTER JOIN RDX_FILIALES AS RDX_FILIALES2 ON (RDX_FILIALES2.CODBARRA = RDX_TRASPASOS_AJUSTES.CENTRO2)
LEFT OUTER JOIN FILIAIS AS FILIAIS2 ON (FILIAIS2.COD_FILIAL = RDX_FILIALES2.CODFILIAL)
LEFT OUTER JOIN PRODUTOS ON (PRODUTOS.PRODUTO = RDX_TRASPASOS_AJUSTES.CODIGO)
WHERE CASE RDX_TALLAS.TALLA
                      WHEN '38' THEN RDX_TRASPASOS_AJUSTES.CANT38
                      WHEN '40' THEN RDX_TRASPASOS_AJUSTES.CANT40
                      WHEN '42' THEN RDX_TRASPASOS_AJUSTES.CANT42
                      WHEN '44' THEN RDX_TRASPASOS_AJUSTES.CANT44
                      WHEN '46' THEN RDX_TRASPASOS_AJUSTES.CANT46
                      WHEN '48' THEN RDX_TRASPASOS_AJUSTES.CANT48
      END IS NOT NULL
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_TRASPASOS_AJUSTES_DESGLOSADO]
TO [public]
GO

--
-- Definition for view RDX_V_ULTIMO_RECUENTOINVENTARIO : 
--

CREATE VIEW RDX_V_ULTIMO_RECUENTOINVENTARIO AS
SELECT
      RDX_V_INVENTARIOEDI.FECHA,
      RDX_V_INVENTARIOEDI.CENTRO,
      RDX_V_INVENTARIOEDI.FILIAL,
      RDX_V_INVENTARIOEDI.CODIGO,
      RDX_V_INVENTARIOEDI.PRODUCTO,
      RDX_V_INVENTARIOEDI.COLOR,
      RDX_V_INVENTARIOEDI.TALLA,
      RDX_V_INVENTARIOEDI.CANTIDAD
FROM RDX_V_INVENTARIOEDI
INNER JOIN RDX_V_INVENTARIO_MAXFECHAS ON
      (RDX_V_INVENTARIOEDI.FECHA = RDX_V_INVENTARIO_MAXFECHAS.FECHA AND
       RDX_V_INVENTARIOEDI.CENTRO = RDX_V_INVENTARIO_MAXFECHAS.CENTRO AND
       RDX_V_INVENTARIOEDI.CODIGO = RDX_V_INVENTARIO_MAXFECHAS.CODIGO AND
       RDX_V_INVENTARIOEDI.COLOR = RDX_V_INVENTARIO_MAXFECHAS.COLOR AND
       RDX_V_INVENTARIOEDI.TALLA = RDX_V_INVENTARIO_MAXFECHAS.TALLA)
WHERE RDX_V_INVENTARIOEDI.TIPOCANT = 145
GO

GRANT SELECT, INSERT, DELETE, REFERENCES, UPDATE
ON [RDX_V_ULTIMO_RECUENTOINVENTARIO]
TO [public]
GO

